package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdApplicationsDTO implements Serializable {

    private static final long serialVersionUID = 532167746125725L;

    private Integer id;

    private String name;

    private String description;

    private String baseDir;

    private String outputDir;

    private String backupDir;

    private Integer inplace;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer connectionIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getName() {
    return name;
    }

        public void setName(String name) {
    this.name = name;
    }

        public String getDescription() {
    return description;
    }

        public void setDescription(String description) {
    this.description = description;
    }

        public String getBaseDir() {
    return baseDir;
    }

        public void setBaseDir(String baseDir) {
    this.baseDir = baseDir;
    }

        public String getOutputDir() {
    return outputDir;
    }

        public void setOutputDir(String outputDir) {
    this.outputDir = outputDir;
    }

        public String getBackupDir() {
    return backupDir;
    }

        public void setBackupDir(String backupDir) {
    this.backupDir = backupDir;
    }

        public Integer getInplace() {
    return inplace;
    }

        public void setInplace(Integer inplace) {
    this.inplace = inplace;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getConnectionIdFk() {
    return connectionIdFk;
    }

        public void setConnectionIdFk(Integer connectionIdFk) {
    this.connectionIdFk = connectionIdFk;
    }

}